import { Construct } from 'constructs';
export interface WorkmailS3IngestionPointProps {
    /** Bucket name to output data to */
    readonly s3OutputBucket: string;
    /** The prefix to use to output files to */
    readonly s3OutputPrefix: string;
    /** Region where WorkMailail instance exists */
    readonly workmailRegion: string;
    /** Account number for WorkMail instance */
    readonly workmailAccountNumber: string;
    /** Lambda function memory configuration (may need to increase for larger documents) */
    readonly lambdaMemoryMB?: number;
    /** Lambda function timeout (may need to increase for larger documents) */
    readonly lambdaTimeout?: number;
}
export declare class WorkmailS3IngestionPoint extends Construct {
    readonly props: WorkmailS3IngestionPointProps;
    private workmailAccountNumber;
    private workmailRegion;
    private s3OutputPrefix;
    private s3OutputBucket;
    constructor(scope: Construct, id: string, props: WorkmailS3IngestionPointProps);
}
